Package org.eclipse.lemminx.extensions.xerces

## Class LSPXMLEntityResolver

- java.lang.Object
- - org.eclipse.lemminx.extensions.xerces.LSPXMLEntityResolver

All Implemented Interfaces:
  `org.apache.xerces.xni.parser.XMLEntityResolver`

    public class LSPXMLEntityResolver
    extends Object
    implements org.apache.xerces.xni.parser.XMLEntityResolver

`XMLEntityResolver` used when XML, XSD, DTD is validated and declared some external resources (with DOCTYPE, xsi:schemaLocation, etc). This resolver catches the `CacheResourceException` to collect all futures which loads the external resources.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`LSPXMLEntityResolver​(org.apache.xerces.xni.parser.XMLEntityResolver entityResolver, DiagnosticsResult diagnostics)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.xerces.xni.parser.XMLInputSource` `resolveEntity​(org.apache.xerces.xni.XMLResourceIdentifier resourceIdentifier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LSPXMLEntityResolver

    public LSPXMLEntityResolver​(org.apache.xerces.xni.parser.XMLEntityResolver entityResolver,
                                DiagnosticsResult diagnostics)

### Method Detail

#### resolveEntity

    public org.apache.xerces.xni.parser.XMLInputSource resolveEntity​(org.apache.xerces.xni.XMLResourceIdentifier resourceIdentifier)
                                                              throws org.apache.xerces.xni.XNIException,
                                                                     IOException

Specified by:
  `resolveEntity` in interface `org.apache.xerces.xni.parser.XMLEntityResolver`
Throws:
  `org.apache.xerces.xni.XNIException`
  `IOException`